org.apache.http

## Interface HttpRequestFactory

- All Known Implementing Classes:
    DefaultHttpRequestFactory

      public interface HttpRequestFactory

  A factory for `HttpRequest` objects.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpRequest` | `newHttpRequest(RequestLine requestline)`
    `HttpRequest` | `newHttpRequest(String method, String uri)`

- - ### Method Detail

    - #### newHttpRequest

          HttpRequest newHttpRequest(RequestLine requestline)
                                     throws MethodNotSupportedException

      Throws:
        `MethodNotSupportedException`

    - #### newHttpRequest

          HttpRequest newHttpRequest(String method,
                                   String uri)
                                     throws MethodNotSupportedException

      Throws:
        `MethodNotSupportedException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.